package com.muyu.goods.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.business.common.domain.Fence;
import com.business.common.domain.FenceGroups;
import com.business.common.domain.Path;
import com.business.common.psvm.Pences;
import com.muyu.goods.mapper.MapMapper;
import com.muyu.goods.service.IMapService;
import org.apache.poi.ss.formula.functions.T;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;
import java.util.stream.Collectors;

@Service
public class MapService implements IMapService {
    @Autowired
    private MapMapper mapMapper;

    /**
     * 围栏组
     * @return
     */
    @Override
    public List<FenceGroups> selectFenceGroups() {
        List<FenceGroups> fenceGroupsList = mapMapper.selectFenceGroups();
        return fenceGroupsList;
    }

    /**
     * 查看电子围栏
     * @return
     */
    @Override
    public List<Fence> selectFence() {
        List<Fence> fenceList = mapMapper.selectFence();
        return fenceList;
    }

    /**
     * 围栏组详情
     * @param carId
     * @return
     */
    @Override
    public FenceGroups selectFenceGroupsById(Long carId) {
        return null;
    }

    /**
     * 传入电子围栏
     * @param pences
     * @return
     */
    @Override
    public String getSel(Pences pences) {
        return null;
    }

    /**
     * 删除电子围栏
     * @param fenceId
     * @return
     */
    @Override
    public String deleteFence(Long fenceId) {
        int i = mapMapper.deleteFence(fenceId);
        if (i>0){
            return "完成";
        }
        return "无效";
    }

    /**
     * 电子围栏详情
     * @param fenceId
     * @return
     */
    @Override
    public Fence queryFence(Long fenceId) {
        return mapMapper.queryFence(fenceId);
    }

    /**
     * 修改电子围栏状态
     * @param fenceId
     * @return
     */
    @Override
    public String updateFence(Long fenceId) {
        Fence fence = queryFence(fenceId);
        int i = 0;
        if (fence.getStaut().equals("Y")){
            i = mapMapper.updateFence(fenceId,"N");
        }else {
            i = mapMapper.updateFence(fenceId,"Y");
        }
        if (i>0){
            return "成功";
        }
        return "失败";
    }
}
